import LinkIcon from './LinkIcon';
import LinkModel from './model/LinkModel';
import NoteModel from './model/NoteModel';
import NoteIcon from './NoteIcon';
import Topic from './Topic';
declare abstract class WidgetManager {
    private static _instance;
    static init: (instance: WidgetManager) => void;
    static getInstance(): WidgetManager;
    static isInitialized(): boolean;
    private createTooltip;
    createTooltipForLink(_topic: Topic, linkModel: LinkModel, linkIcon: LinkIcon): void;
    createTooltipForNote(_topic: Topic, noteModel: NoteModel, noteIcon: NoteIcon): void;
    configureEditorForLink(topic: Topic, linkModel: LinkModel, linkIcon: LinkIcon): void;
    configureEditorForNote(topic: Topic, noteModel: NoteModel, noteIcon: NoteIcon): void;
    abstract showEditorForLink(topic: Topic, linkModel: LinkModel | null, linkIcon: LinkIcon | null): void;
    abstract showEditorForNote(topic: Topic, noteModel: NoteModel | null, noteIcon: NoteIcon | null): void;
}
export default WidgetManager;
